#########################################################################
# Merlin
# Module: Report Browser
# John Fisher, CIAC
#########################################################################


&HTML_MISC_HEADER("Report Browser");

# Reports may be browsed in three different ways. These are the
# buttons which move between them.
# 1 = By Date, 2 = By Host, 3 = By Tool
print CLIENT <<EOF;
<BR>
<TABLE BORDER=2 WIDTH="100%">
<TR>
<TD ALIGN=CENTER><A HREF="$REPORT_HTML/browse.pl,1">
    <IMG SRC="$HTML_ROOT/images/m-sd.gif" BORDER=0></A></TD>
<TD ALIGN=CENTER><A HREF="$REPORT_HTML/browse.pl,2">
    <IMG SRC="$HTML_ROOT/images/m-sh.gif" BORDER=0></A></TD>
<TD ALIGN=CENTER><A HREF="$REPORT_HTML/browse.pl,3">
    <IMG SRC="$HTML_ROOT/images/m-st.gif" BORDER=0></A></TD>
</TR>
</TABLE>
<FORM METHOD=POST ACTION="$REPORT_HTML/delete_reports.pl">
EOF
;


# How are we sorting the reports?
$sortmethod = $html_script_args;

# Two arrays are used - one for reading in the reports available
# (_results), and another (_tosort) for holding the modified names. I
# modify the file names to reflect how the report is to be sorted. On
# the end of each _tosort element is a number - the index into the
# _results array.
@_results = ();
@_tosort = ();

# First, let's read in all the reports that are available
@_results = `find $RESULTS -type f -print`;

# Second, for each report, rebuild the file name according to the sort
# specification, and put it in the second array. I really should
# abstract out the file name manipulation, but this works. Note that
# the second search criteria is not selected by the user, but choosen
# here.
$i = 0;
for (@_results) {
    chop;
    @path = split('/', $_);
    $_ = $path[$#path];
    if ($sortmethod == 1) {
	$_tosort[$i] = substr($_, 4, 16).substr($_, 20).".".substr($_, 0, 3)." ".$i;
    } elsif ($sortmethod == 2) {
	$_tosort[$i] = substr($_, 20).".".substr($_, 0, 4).substr($_, 4, 15)." ".$i;
    } elsif ($sortmethod == 3) {
	$_tosort[$i] = substr($_, 0, 4).substr($_, 20).".".substr($_, 4, 15)." ".$i;
    }
    $i++;
}


# Date sorting makes more sense in -reverse- order.
if ($sortmethod == 1) {
    @_tosort = reverse sort @_tosort;
} else {
    @_tosort = sort @_tosort;
}

# Ok, let's show what reports are available. This is ugly, but the
# idea is basically this: Go through each element of _tosort, use the
# index at the end to look into _results. Take that entry, and display
# it. Some extra junk is provided to control indentation.
$olddate = "";
$oldhost = "";
$oldtool = "";
for (@_tosort) {

    @_index = split(' ', $_);
    $i = $_index[1];
    $date = substr($_results[$i], 4, 8);
    $tool = substr($_results[$i], 0, 3);
    $host = substr($_results[$i], 20);

    next if (! $ToolPkg{$tool});

    $ref = "<li><INPUT TYPE=CHECKBOX NAME=\"report$i\" VALUE=\"$_results[$i]\">".
	"<a href=\"$PKG_SERVER/".$ToolPkg{$tool}."/read_report.pl,".
           $_results[$i]."\">";
    $nicedate = &NTOM(substr($_results[$i], 8, 2))." ".substr($_results[$i], 10, 2).
	", ".substr($_results[$i], 4, 4);
    $nicetime = substr($_results[$i], 13, 2).":".substr($_results[$i], 15, 2).":".
	substr($_results[$i], 17, 2);

    # Sort by Date
    if ($sortmethod == 1) {
	$link = $ToolNames{$tool}.", ".$nicetime."</a>";
	if ($date ne $olddate) {
	    $olddate = $date;
	    $oldhost = "";
	    print CLIENT "</ul> </ul> <h3>".$nicedate."</h3> <ul>";
        }
	if ($host ne $oldhost) {
	    $oldhost = $host;
	    print CLIENT "<strong>".$host."</strong> <ul>";
        }
	print CLIENT "$ref\n $link";
    }

    # Sort by Host
    if ($sortmethod == 2) {
	$link = $nicedate.", ".$nicetime."</a>";
	if ($host ne $oldhost) {
	    $oldhost = $host;
            $oldtool = "";
	    print CLIENT "</ul></ul><h3>$host</h3><ul><ul>";
        }
	if ($tool ne $oldtool) {
	    $oldtool = $tool;
	    print CLIENT "</ul><strong>$ToolNames{$tool}</strong> <ul>";
        }
	print CLIENT "$ref $link";
    }

    # Sort by Tool
    if ($sortmethod == 3) {
	$link = $nicedate.", ".$nicetime."</a>";
	if ($tool ne $oldtool) {
	    $oldtool = $tool;
            $oldhost = "";
	    print CLIENT "</ul></ul> <h3>".$ToolNames{$tool}."</h3> <ul><ul>";
        }
	if ($host ne $oldhost) {
	    $oldhost = $host;
	    print CLIENT "</ul><strong>".$host."</strong> <ul>";
        }
	print CLIENT "$ref $link";
    }

}

print CLIENT <<EOF
</UL>
</UL>
<INPUT TYPE=SUBMIT VALUE="Delete Checkmarked Reports">
EOF
;

&HTML_MISC_FOOTER();
