#########################################################################
# Merlin
# Module: Job Status Browser
# John Fisher, CIAC
#########################################################################

# Refresh the screen every ten seconds, to re-check for new
# processes. Yes, I know it is ugly. Any other ideas? Maybe we will
# just have to wait for Java.
print CLIENT <<EOF
<HTML>
<HEAD>
<META HTTP-EQUIV="Refresh" CONTENT=10>
EOF
;

&HTML_MISC_HEADER("Jobs Status");

print CLIENT <<EOF
<BR>
<TABLE BORDER=0 WIDTH="100%">
<TD><STRONG>Process ID</STRONG></TD>
<TD><STRONG>Tool Name</STRONG></TD>
<TD><STRONG>Start Date</STRONG></TD>
<TD><STRONG>Start Time</STRONG></TD>
<TD><STRONG>Host</STRONG></TD>
EOF
;


# Pretty straight forward. For each file in the status directory, get
# the process id, check to see if it still exists, and then display
# it, otherwise delete it. Each process ID is a link, allowing the
# user to kill it if desired.

@pslist = `find $STATUS -type f -print`;

for $process (@pslist) {

    chop $process;
    @files = split('/', $process);
    $file = $files[$#files];
    
    open(PROCESS, $process);

    $pid = <PROCESS>;

    chop $pid;
    close(PROCESS);

    ($tool, $nicedate, $nicetime, $host) = TOOL_PARSE_FILE($file);

    if (($res = kill(0, $pid)) != 0 && $pid != 0) {

	print CLIENT "<TR>\n";
	print CLIENT "<TD><A HREF=\"$STATUS_HTML/ctrlstatus.pl,$file,$pid\">$pid</A></TD>\n";
	print CLIENT "<TD>". $ToolNames{$tool}."</TD>\n";
	print CLIENT "<TD>". $nicedate. "</TD>\n";
	print CLIENT "<TD>". $nicetime. "</TD>\n";
	print CLIENT "<TD>". $host. "</TD>\n";
	print CLIENT "<TR>";

    } else {

	print CLIENT "<TR>\n";
	print CLIENT "<TD>Job Completed</TD>\n";
	print CLIENT "<TD>". $ToolNames{$tool}."</TD>\n";
	print CLIENT "<TD>". $nicedate. "</TD>\n";
	print CLIENT "<TD>". $nicetime. "</TD>\n";
	print CLIENT "<TD>". $host. "</TD>\n";
	print CLIENT "<TR>";
	`rm $process`;
    }



}

print CLIENT "</TABLE><BR>";

&HTML_MISC_FOOTER();


    
