#########################################################################
# Merlin
# All HTML-related functions, available for all package support modules,
# may be found here.
#########################################################################

# Function : HTML_MISC_HEADER($title)
# Generate the header used on most screens.
sub HTML_MISC_HEADER {

    print CLIENT <<EOF
	<HTML>
	<HEAD>
	<title>$_[0]</title>
	</HEAD>
	<BODY BACKGROUND="$HTML_ROOT/images/bg.jpg">
	<TABLE BORDER=8 WIDTH="100%">
	<TR><TD  ROWSPAN=4 ALIGN=CENTER>
        <IMG SRC="$HTML_ROOT/images/small-merlinlogo.gif">
	</TD></TR>
	<TR><TD ALIGN=CENTER COLSPAN=2><H1><EM>$_[0]</H1></EM></TD></TR>
        <TR><TD ALIGN=CENTER>
	    <A HREF="$STATUS_HTML/status.pl">
	    <IMG SRC="$HTML_ROOT/images/m-js.gif" BORDER=0></A>
        </TD>
        <TD ALIGN=CENTER>
           <A HREF="$REPORT_HTML/browse.pl,1">
           <IMG SRC="$HTML_ROOT/images/m-rb.gif" BORDER=0></A>
        </TD></TR>
        <TR><TD ALIGN=CENTER COLSPAN=2>
        <A HREF="$HTML_STARTPAGE">
        <IMG SRC="$HTML_ROOT/images/m-tc.gif" BORDER=0></A>
        </TD></TR>
    </TABLE>
EOF
;
}

# Function : HTML_MISC_HEADER()
# Generate the footer used on most screens.
sub HTML_MISC_FOOTER {

    print CLIENT <<EOF
	<TABLE BORDER=8 WIDTH="100%">
        <TR><TD ALIGN=CENTER>
	    <A HREF="$HTML_STARTPAGE">
	    <IMG SRC="$HTML_ROOT/images/m-tc.gif" BORDER=0></A>
	    </TD>
	</TR>
        </TABLE>
EOF
;
}



# Function : HTML_REPORT_HEADER($file, $title)
# Generate the header used for reports
sub HTML_REPORT_HEADER {

    ($tool, $nicedate, $nicetime, $host) = TOOL_PARSE_FILE($_[0]);

    $nicetool = $PkgNames{$ToolPkg{$tool}};

    print CLIENT <<EOF
	<HTML>
        <BODY BACKGROUND="$HTML_ROOT/images/bg.jpg">
	<HEAD>
	<title>$_[0]</title>
	</HEAD>
	<TABLE BORDER=2 WIDTH="100%">
	    <TR><TD ALIGN=CENTER>
		<IMG SRC="$HTML_ROOT/images/small-merlinlogo.gif">
	     	</TD>
	        <TD ALIGN=CENTER><H1><EM>$nicetool</EM></H1>
		</TD>
	    </TR>
	    <TR><TD ALIGN=CENTER COLSPAN=2><H1><EM>$_[1]</H1></EM></TD></TR>
	    <TR><TD><B><EM>Host:</EM></B></TD>
	        <TD><B>$host</B></TD>
		<TR>
                <TR><TD><B><EM>Date:</EM></B></TD>
                <TD><B>$nicedate</B></TD>
                <TR>
                <TR><TD><B><EM>Time:</EM></B></TD>
                <TD><B>$nicetime</B></TD>
		<TR>
        </TABLE>
EOF
;

}


# Function : HTML_RADIOS($var, $value, $descript1, $descript2, ...)
# Generate HTML code for a set of radio buttons
sub HTML_RADIOS {

    $var = $_[0];
    $value = $_[1];

    print CLIENT "<DL COMPACT>\n";
    $i = 1;
    for ($i = 1, $j = 2; $j <= $#_; $j++, $i++) {
	$str = $_[$j];
	print CLIENT "<DT><DD><INPUT TYPE=RADIO NAME=\"$var\" VALUE=\"$i\" ";
	if ($value == $i) {
	    print CLIENT "CHECKED> $str\n";
	} else {
	    print CLIENT "> $str\n";
	}
    }
    print CLIENT "</DL>\n";
}

# Function : HTML_CHECKBOXES($var1, $descript1, $var2, $descript2, ...)
# Generate HTML code for a set of checkboxes
sub HTML_CHECKBOXES {
    print CLIENT "<DL COMPACT>\n";
    $i = 0;
    while ($_[$i]) {
	$var = $_[$i++];
	$value = $_[$i++];
	$desc = $_[$i++];
    
	print CLIENT "<DT><DD><INPUT TYPE=CHECKBOX NAME=\"$var\" VALUE=\"CHECKED\" $value>\n";
	print CLIENT "$desc<P>\n";

    }

    print CLIENT "</DL>\n";
}

# Function : HTML_STRING($title, $size, $var, $value)
# Generate HTML code for a string field.
sub HTML_STRING {
    ($title, $size, $var, $value) = @_;

    print CLIENT <<EOF
<DL COMPACT>	
<DT><DD>$title:<BR>
EOF
;
print CLIENT "<DT><DD><INPUT SIZE=$size NAME=$var VALUE=$value><BR>";
print CLIENT <<EOF
</DL>
<P>
EOF
;
}


sub HTML_SAVE_DATA {

    local $var;

     eval('$var = \%'.$_[0].';\n');

    open(CONFIG, "> ".$PARAMETERS."/$_[0]_parameters");

    foreach $param (keys %$var) {

	print CONFIG "\$$_[0]\{'$param'\} = \"".$$var{$param}."\";\n";

    }
    print CONFIG "1;\n";

    close(CONFIG);
}

1;
