#########################################################################
# Merlin
# Misc. functions, available for all package support modules, may
# be found here.
#########################################################################



# Function : NTOM($num)
# For the report mechanism mainly - convert the
# month number to the month name
sub NTOM {
    (January, February, March, April, May, June, July,
     August, September, October, November, December)[$_[0]-1];
}

# Function : TOOL_PARSE_FILE($filename)
# Take a tool execution filename and return its various parts
sub TOOL_PARSE_FILE {
    $nicedate = &NTOM(substr($_[0], 8, 2))." ".substr($_[0], 10, 2).
	    ", ".substr($_[0], 4, 4);
    $nicetime = substr($_[0], 13, 2).":".substr($_[0], 15, 2).":".
	substr($_[0], 17, 2);
    $host = substr($_[0], 20);
    $tool = substr($_[0], 0, 3);

    ($tool, $nicedate, $nicetime, $host);
}


# Function : TOOL_CREATE_FILE($tool)
# Create a tool execution filename. This is used both for the
# results directory and the status directory.
sub TOOL_CREATE_FILE {
    local $sec, $min, $hour, $mon, $mday, $year, $wday, $yday, $isdst;

    ($sec, $min, $hour, $mday, $mon, $year, $wday, $yday, $isdst) =
	localtime(time);
    $mon++;
    $mon = ($mon < 10) ? "0".$mon : $mon;
    $mday = ($mday < 10) ? "0".$mday : $mday;
    $year = "19".$year;
    $hour = ($hour < 10) ? "0".$hour : $hour;
    $min = ($min < 10) ? "0".$min : $min;
    $sec = ($sec < 10) ? "0".$sec : $sec;
    $date = $year.$mon.$mday;
    $time = $hour.$min.$sec;
    $filename = $_[0]. "." . $date . "." . $time . ".".$THIS_HOST;
    $filename;
}

# Function : TOOL_RUN_STATUS($filename, $pid)
# Write the process id to the status file
sub TOOL_RUN_STATUS {
    open(STAT, ">".$STATUS."/".$_[1]);
    print STAT $_[0]."\n";
    close STAT;
}


1;


