# default.qsp.rg parameter file for Quick System Profile Reporting

TITLE: </TABLE><BR><TABLE BORDER=2 WIDTH="100%">

# this is the FIELD definition section

FIELD:1:TS:
FIELD:2:HOST:
FIELD:3:ID1:
FIELD:4:ID2:</TABLE><BR><BR><H3> Request ID=%s </H3><TABLE BORDER=5> \n\n 
FIELD:5:ID3:<H3> Condition ID=%s </H3>\n\n
FIELD:6:TOOL:
FIELD:7:CAT:"\n"
FIELD:8:WLVL:Warning Level %s\n\n
FIELD:9:ID4:</TABLE><BR><BR><H3>Eval ID=%s </H3><TABLE BORDER=5>\n\n
FIELD:10:COMMENT:%s Comment =============================================\n\n
FIELD:11:TYPE:%s ITEM TYPE ----------------------------------------------\n\n
FIELD:12:NAME:*** ITEM NAME = %s ***\n\n
FIELD:13:DN1:</TABLE><H2>Bad %s Value -- Vulnerability</H2>\n\n <TABLE BORDER=2> <TR VALIGN> <TD ALIGN=CENTER NOWRAP>\n
FIELD:14:DATA1:<TR><TD>%s</TD></TR>
FIELD:15:DN2:<TR><TD>%s</TD></TR>
FIELD:16:DATA2:<TR><TD>%s</TD></TR>


# define unary output entries
OMIT:CAT!=HEADER

SUBSORT:1:TYPE:HEADINFO:HOSTINFO:SYSINFO:PARMINFO
SUBSORT:2:NAME:TS:HN:IP:OS_T:OS_N:OS_R:OS_V:SCRIPT:XLINE_OPTS:*

PUT_ORDER:13,14

SUBTITLE:

LABEL:13::"<TR><TD><B>%s</B></TD>":
LABEL:14::"<TD>%s</TD></TR>":

RESECTION
SUBTITLE:</TABLE></CENTER> <H1>Security Findings Section <H1>

# Look at non-compound warnings which have no user identifier tags
# Prohibits may have a non-empty DN2 field, so special case them.

OMIT:CAT!=WARNING
OMIT:DN1!=PROHIBIT
OMIT:ID2!=""
OMIT:ID3!=""
OMIT:ID4!=""

SORT:1:DN1:PROHIBIT
SUBSORT:1:TYPE
SUBSORT:2:NAME
PUT_ORDER:11,12,16,10
LABEL:11:<H3>Type</H3>:"<TR><TD>%s</TD>"
LABEL:12:<H3>Name</H3>:"<TD><CODE>%s</CODE></TD>"
LABEL:16:<H3>Referenced in</H3>:"<TD>%s</TD>"
LABEL:10:<H3>Comment</H3>:"<TD>%s</TD></TR>"

# Look at non-compound warnings which have no user identifier tags
# Prohibits may have a non-empty DN2 field, so special case them.

RESECTION

OMIT:CAT!=WARNING
OMIT:DN1=PROHIBIT
OMIT:DN2!=
OMIT:ID2!=""
OMIT:ID3!=""
OMIT:ID4!=""


SORT:1:DN1:DENY:NOEXIST:PERM:OWNER:*
SUBSORT:1:TYPE
SUBSORT:2:NAME
PUT_ORDER:11,12,14,10
LABEL:11:"<H3>Type</H3>":"<TR><TD>%s</TD>"
LABEL:12:"<H3>Name</H3>":"<TD><CODE>%s</CODE></TD>"
LABEL:14:"<H3>Bad Value</H3>":"<TD>%s</TD>"
LABEL:10:"<H3>Comment</H3>":"<TD>%s</TD></TR>"

# Look at warnings with request id

RESECTION
OMIT:CAT!=WARNING
OMIT:ID2=""


SORT:1:ID2:*
SUBSORT:1:TYPE
SUBSORT:2:NAME
PUT_ORDER:11,12,13,14,10
LABEL:11:"<H3>Type</H3>":"<TR><TD>%s</TD>"
LABEL:12:"<H3>Name</H3>":"<TD><CODE>%s<CODE></TD>"
LABEL:13:"<H3>Problem</H3>":"<TD>%s</TD>"
LABEL:14:"<H3>Bad Value</H3>":"<TD>%s</TD>"
LABEL:10:"<H3>Comment</H3>":"<TD>%s</TD></TR>"

# Look at warnings with condition id

RESECTION
OMIT:CAT!=WARNING
OMIT:ID2!=""
OMIT:ID3=""


SORT:1:ID3:*
SUBSORT:1:TYPE
SUBSORT:2:NAME
PUT_ORDER:11,12,13,14,10
LABEL:11:"<H3>Type</H3>":"<TR><TD>%s</TD>"
LABEL:12:"<H3>Name</H3>":"<TD><CODE>%s</CODE></TD>"
LABEL:13:"<H3>Problem</H3>":"<TD>%s</TD>"
LABEL:14:"<H3>Bad Value</H3>":"<TD>%s</TD>"
LABEL:10:"<H3>Comment</H3>":"<TD>%s</TD></TR>"

# Look at warnings with eval id

RESECTION
OMIT:CAT!=WARNING
OMIT:ID2!=""
OMIT:ID3!=""
OMIT:ID4=""

SORT:1:ID4:*
SUBSORT:1:TYPE
SUBSORT:2:NAME
SUBSORT:3:COMMENT
PUT_ORDER:11,12,13,14,10
LABEL:11:"<H3>Type</H3>":"<TR><TD>%s</TD>"
LABEL:12:"<H3>Name</H3>":"<TD><CODE>%s</CODE></TD>"
LABEL:13:"<H3>Problem</H3>":"<TD>%s"</TD>"
LABEL:14:"<H3>Bad Value</H3>":"<TD>%s</TD>"
LABEL:10:"<H3>Comment</H3>":"<TD>%s</TD></TR>"

# Look at warnings with complex warnings (up to 4 parts) without any id

RESECTION
OMIT:CAT!=WARNING
OMIT:ID2!=""
OMIT:ID3!=""
OMIT:ID4!=""
OMIT:DN2=
OMIT:DN1=PROHIBIT

FIELD:11:TYPE:Compound %s Vulnerabilities\n\n
SORT:1:TYPE:*
SUBSORT:1:DN1:PERM:OWNER:*
SUBSORT:2:NAME
PUT_ORDER:12,13,14,15,16,10
LABEL:12:"<H3>Name</H3>":"<TR><TD>%s</TD>"
LABEL:13:"<H3>Problem</H3>":"<TD>%s</TD>"
LABEL:14:"<H3>Bad Value</H3>":"<TD>%s</TD>"
LABEL:15:"<H3>Problem 2</H3>":"<TD>%s</TD>"
LABEL:16:"<H3>Bad Value 2</H3>":"<TD>%s</TD>"
LABEL:10:"<H3>Comment</H3>":"<TD>%s</TD></TR>"


RESECTION
SUBTITLE:</TABLE><BR><BR><H3>Privileged Users</H3><TABLE BORDER=5> 
OMIT:CAT!=FINDING
OMIT:ID2!=ROOT_USERS
SORT:1:CAT:USER:GROUP:*
SUBSORT:1:NAME
PUT_ORDER:14,10
LABEL:14:"<H3>User Name</H3>":"<TR><TD>%s</TD>"
LABEL:10:"<H3>Comment</H3>":"<TD>%s</TD></TR>"

RESECTION
SUBTITLE:</TABLE><BR><BR><H3>Dormant Users</H3><TABLE BORDER=5> 
OMIT:CAT!=FINDING
OMIT:ID2!=DORMANT_USERS
SORT:1:CAT:USER:GROUP:*
SUBSORT:1:NAME
PUT_ORDER:14,10
LABEL:14:"<H3>User List</H3>":"<TR><TD>%s</TD>"
LABEL:10:"<H3>Comment</H3>":"<TD>%s</TD></TR>"

RESECTION
SUBTITLE:</TABLE><BR><BR><H3>SU Capable Users</H3><TABLE BORDER=5> 
OMIT:CAT!=FINDING
OMIT:ID2!=SU_USERS
SORT:1:CAT
SUBSORT:1:NAME
PUT_ORDER:14,10
LABEL:14:<H3>List</H3>:"<TR><TD>%s</TD>"
LABEL:10:<H3>Comment</H3>:"<TD>%s</TD></TR>"


RESECTION
SUBTITLE:</TABLE><BR><BR><H3>CQL Processing Errors</H3><TABLE BORDER=5> 
OMIT:CAT!=ERROR
SORT:1:CAT
PUT_ORDER:12,13,10
LABEL:12:"<H3>Script_Name</H3>":"<TR><TD>%s</TD>"
LABEL:13:"<H3>Error_Type</H3>":"<TD>%s</TD>"
LABEL:10:"<H3>Description</H3>":"<TD>%s</TD></TR>"
